Maintained by: NLnet Labs

[Unbound-users] Can't compile Unbound1.2.0 with libevent-1.4.8

W.C.A. Wijngaards
Fri Feb 6 14:39:27 CET 2009


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

SeaCat wrote:
> Hello Unbound-users,
> 
>  I'm trying compile unbound-1.2.0 with libevent-1.4.8 on NetBSD3.1
> ==
> 
> cc -I. -Ildns-src/include
> -I/usr/pkgsrc/net/unbound_le/work/.buildlink/include -DHAVE_CONFIG_H -O2
> -march=pentiumpro -finline-functions -fomit-frame-pointer -ffast-math -g
> -O2 -pthread -c util/netevent.c  -fPIC -DPIC -o build/util/.libs/netevent.o
> 
> util/netevent.c: In function `comm_base_create':
> 
> util/netevent.c:163: error: void value not ignored as it ought to be
> 
> gmake: *** [build/util/netevent.lo] Error 1

Hi SeaCat,

event_init() is defined to return a value, for very old and new versions
of libevent.  In 1.4.8-stable event.h says:
struct event_base *event_init(void);

So something else must be happening here. Are there other event.h files
that declare event_init in the -I path?

In any case, in unbound 1.3.0 I'll go about detecting event_base_new()
and using that if libevent is recent enough (available since 1.4.1).

Best regards,
   Wouter
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Fedora - http://enigmail.mozdev.org

iEYEARECAAYFAkmMPY8ACgkQkDLqNwOhpPjFsQCdEUX3p2f/+88QzV+LarS4YPjg
0gwAn02zzxIycBrAOi44thzGwX/UVYbN
=2o1j
-----END PGP SIGNATURE-----